export ILCSOFT=/Users/proj/cdc/soft/MarlinTPC/clang/v02-01

# -------------------------------------------------------------------- ---

# ---  Use the same compiler and python as used for the installation   ---

# -------------------------------------------------------------------- ---
export PATH=/usr/bin:${PATH}
export LD_LIBRARY_PATH=/usr/lib64:/usr/lib:${LD_LIBRARY_PATH}

export PATH=/usr/bin:${PATH}
export LD_LIBRARY_PATH=/usr/lib:${LD_LIBRARY_PATH}

export CXX=clang++
export CC=clang


#--------------------------------------------------------------------------------
#     LCCD
#--------------------------------------------------------------------------------
export LCCD="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/lccd/v01-05"
# --- additional LCCD commands ------- 
export LD_LIBRARY_PATH="$LCCD/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CondDBMySQL
#--------------------------------------------------------------------------------
export COND_DB_DEBUGLOG="/dev/stdout"
export CondDBMySQL="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CondDBMySQL/CondDBMySQL_ILC-0-9-7"
# --- additional CondDBMySQL commands ------- 
export LD_LIBRARY_PATH="$CondDBMySQL/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     LCIO
#--------------------------------------------------------------------------------
export LCIO="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/lcio/v02-13-01"
# --- additional LCIO commands ------- 
export PYTHONPATH="$LCIO/python:$LCIO/python/examples:$PYTHONPATH"
export PATH="$LCIO/tools:$LCIO/bin:$PATH"
export LD_LIBRARY_PATH="$LCIO/lib:$LD_LIBRARY_PATH"
# --- additional ROOT commands ------- 
test -r /Users/proj/cdc/soft/MarlinTPC/clang/v02-01/root/6.20.00/bin/thisroot.sh && . /Users/proj/cdc/soft/MarlinTPC/clang/v02-01/root/6.20.00/bin/thisroot.sh


#--------------------------------------------------------------------------------
#     CMake
#--------------------------------------------------------------------------------
# --- additional CMake commands ------- 
export PATH="/opt/osxws/bin:$PATH"


#--------------------------------------------------------------------------------
#     ILCUTIL
#--------------------------------------------------------------------------------
export ilcutil="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/ilcutil/v01-06"
# --- additional ILCUTIL commands ------- 
export LD_LIBRARY_PATH="$ilcutil/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Marlin
#--------------------------------------------------------------------------------
export MARLIN="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/Marlin/v01-17"
# --- additional Marlin commands ------- 
export LD_LIBRARY_PATH="$MARLIN/lib:$LD_LIBRARY_PATH"
export PATH="$MARLIN/bin:$PATH"
export MARLIN_DLL="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/MarlinDD4hep/v00-06/lib/libMarlinDD4hep.dylib:/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CEDViewer/v01-17/lib/libCEDViewer.dylib:/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/LCTuple/v01-12/lib/libLCTuple.dylib:/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/MarlinTrkProcessors/v02-11/lib/libMarlinTrkProcessors.dylib:/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/ConformalTracking/v01-10/lib/libConformalTracking.dylib:/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/MarlinTPC/v01-06/lib/libMarlinTPC.dylib:$MARLIN_DLL"


#--------------------------------------------------------------------------------
#     CLHEP
#--------------------------------------------------------------------------------
export CLHEP="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CLHEP/2.4.1.3"
export CLHEP_BASE_DIR="$CLHEP"
export CLHEP_INCLUDE_DIR="$CLHEP/include"
# --- additional CLHEP commands ------- 
export PATH="$CLHEP_BASE_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$CLHEP_BASE_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     RAIDA
#--------------------------------------------------------------------------------
export RAIDA_HOME="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/RAIDA/v01-09"
# --- additional RAIDA commands ------- 
export PATH="$RAIDA_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$RAIDA_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GEAR
#--------------------------------------------------------------------------------
export GEAR="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/gear/v01-09"
# --- additional GEAR commands ------- 
export PATH="$GEAR/tools:$GEAR/bin:$PATH"
export LD_LIBRARY_PATH="$GEAR/lib:$LD_LIBRARY_PATH"
# --- additional MarlinDD4hep commands ------- 


#--------------------------------------------------------------------------------
#     DD4hep
#--------------------------------------------------------------------------------
export DD4HEP="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/DD4hep/v01-11-02"
export DD4HEP_ENVINIT="${DD4HEP}/bin/thisdd4hep.sh"
# --- additional DD4hep commands ------- 
test -r ${DD4HEP_ENVINIT} && . ${DD4HEP_ENVINIT}


#--------------------------------------------------------------------------------
#     Geant4
#--------------------------------------------------------------------------------
export G4INSTALL="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/geant4/10.06"
export G4ENV_INIT="$G4INSTALL/bin/geant4.sh"
export G4SYSTEM="Darwin-g++"
# --- additional Geant4 commands ------- 
test -r ${G4ENV_INIT} && { cd $(dirname ${G4ENV_INIT}) ; . ./$(basename ${G4ENV_INIT}) ; cd $OLDPWD ; }


#--------------------------------------------------------------------------------
#     XercesC
#--------------------------------------------------------------------------------
export XercesC_HOME="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/xercesc/v3.2.2"
# --- additional XercesC commands ------- 
export PATH="$XercesC_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$XercesC_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Boost
#--------------------------------------------------------------------------------
export BOOST_ROOT="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/boost/1.71.0"
# --- additional Boost commands ------- 
# --- additional DDKalTest commands ------- 


#--------------------------------------------------------------------------------
#     KalTest
#--------------------------------------------------------------------------------
export KALTEST="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/KalTest/v02-05"
# --- additional KalTest commands ------- 
export LD_LIBRARY_PATH="$KALTEST/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     aidaTT
#--------------------------------------------------------------------------------
export AIDATT="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/aidaTT/v00-10"
# --- additional aidaTT commands ------- 
export PATH="$AIDATT/bin:$PATH"
export LD_LIBRARY_PATH="$AIDATT/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GSL
#--------------------------------------------------------------------------------
export GSL_HOME="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/gsl/2.6"
# --- additional GSL commands ------- 
export PATH="$GSL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$GSL_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GBL
#--------------------------------------------------------------------------------
export GBL="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/GBL/V02-02-00"
# --- additional GBL commands ------- 
export LD_LIBRARY_PATH="$GBL/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MarlinUtil
#--------------------------------------------------------------------------------
# --- additional MarlinUtil commands ------- 
export LD_LIBRARY_PATH="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/MarlinUtil/v01-15-01/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CED
#--------------------------------------------------------------------------------
# --- additional CED commands ------- 
export PATH="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CED/v01-09-03/bin:$PATH"
export LD_LIBRARY_PATH="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CED/v01-09-03/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CEDViewer
#--------------------------------------------------------------------------------
# --- additional CEDViewer commands ------- 
export PATH="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CEDViewer/v01-17/bin:$PATH"
export LD_LIBRARY_PATH="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/CEDViewer/v01-17/lib:$LD_LIBRARY_PATH"
# --- additional LCTuple commands ------- 
# --- additional MarlinTrk commands ------- 
export MARLINTRK="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/MarlinTrk/v02-08"
export LD_LIBRARY_PATH="$MARLINTRK/lib:$LD_LIBRARY_PATH"
# --- additional KalDet commands ------- 
export KALDET="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/KalDet/v01-14-01"
export LD_LIBRARY_PATH="$KALDET/lib:$LD_LIBRARY_PATH"
# --- additional KiTrack commands ------- 
export KITRACK="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/KiTrack/v01-10"
export LD_LIBRARY_PATH="$KITRACK/lib:$LD_LIBRARY_PATH"
# --- additional KiTrackMarlin commands ------- 
export KITRACKMARLIN="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/KiTrackMarlin/v01-13"
export LD_LIBRARY_PATH="$KITRACKMARLIN/lib:$LD_LIBRARY_PATH"
# --- additional MarlinTrkProcessors commands ------- 
# --- additional ConformalTracking commands ------- 
# --- additional PathFinder commands ------- 


#--------------------------------------------------------------------------------
#     MarlinTPC
#--------------------------------------------------------------------------------
export MARLINTPC="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/MarlinTPC/v01-06"
# --- additional MarlinTPC commands ------- 
export PATH="$MARLINTPC/bin:$PATH"
export LD_LIBRARY_PATH="$MARLINTPC/lib:$MARLINTPC/tpcconddata/lib:$LD_LIBRARY_PATH"
# --- additional BBQ commands ------- 


#--------------------------------------------------------------------------------
#     lcgeo
#--------------------------------------------------------------------------------
export lcgeo_DIR="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/lcgeo/v00-16-06"
export lcgeo_ENVINIT="${lcgeo_DIR}/bin/thislcgeo.sh"
# --- additional lcgeo commands ------- 
test -r ${lcgeo_ENVINIT} && . ${lcgeo_ENVINIT}


#--------------------------------------------------------------------------------
#     SIO
#--------------------------------------------------------------------------------
export SIO_DIR="/Users/proj/cdc/soft/MarlinTPC/clang/v02-01/sio/v00-00-02"
# --- additional SIO commands ------- 
export PATH="$SIO_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$SIO_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MySQL
#--------------------------------------------------------------------------------
export MYSQL_HOME="/opt/osxws"
export MYSQL_LIBDIR="$MYSQL_HOME/lib/mysql"
export MYSQL_PATH="$MYSQL_HOME"
export MYSQL="$MYSQL_HOME"
# --- additional MySQL commands ------- 
export PATH="$MYSQL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$MYSQL_HOME/lib64:$MYSQL_HOME/lib:$MYSQL_HOME/lib64/mysql:$MYSQL_HOME/lib/mysql:$LD_LIBRARY_PATH"
# --- additional Eigen commands ------- 

# --- set DYLD_LIBRARY_PATH to LD_LIBRARY_PATH for MAC compatibility ---
export DYLD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DYLD_LIBRARY_PATH

